> For the complete documentation index, see [llms.txt](https://docs.papayaglobal.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.papayaglobal.com/api-reference/payment-management/unapprove-payment-instructions.md).

# UnApprove Payment Instructions

The API removes approval (one or more) forthcoming payment instructions by specifying the payment instructions' IDs.

<mark style="color:red;">**`DELETE`**</mark> /payments/payments/approve?id=\<payment\_id>

**Body Parameters - Request**

| Name | Location      | Type   | Description               | Required |
| ---- | ------------- | ------ | ------------------------- | -------- |
| id   | url parameter | string | the payment id to approve | Yes      |

**Body Parameters -** **Response**

| Name                     | Type   | Format / Values | Description                                                                                                                                                                            |
| ------------------------ | ------ | --------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| items                    | array  | object          | List of items affected                                                                                                                                                                 |
| items\[]                 | object |                 |                                                                                                                                                                                        |
| items\[].type            | string |                 | type of entity (payment)                                                                                                                                                               |
| items\[].id              | string |                 | id of payment                                                                                                                                                                          |
| items\[].correlation\_id | string |                 | <p>correlation\_id is an external identifier that you provide to track payments within your own platform or system.<br>it must be unique identifier else the API request will fail</p> |
| items\[].result          | string |                 | Action result                                                                                                                                                                          |

**Request Example**

```json
POST /payments/payments/approve?id=awrJqByRRdmEBXSWRr_elg
```

**Response Examples**

{% tabs %}
{% tab title="200 - OK" %}

```json
{
   "id": "awrJqByRRdmEBXSWRr_elg",
   "purpose": "SALA",
   "source": {
      "id": "1573c466-53ba-46e7-a7f2-b6d49c79716b",
      "type": "group"
   },
   "target": {
      "type": "contact",
      "id": "9"
   },
   "info": {
      "debit": {
         "currency": "USD",
         "amount": 3456.98431
      },
      "status": "PROCESSING",
      "credit": {
         "currency": "AUD",
         "amount": 5000
      },
      "rate": 1.44634732,
      "fees": 0
   },
   "amount": {
      "type": "LAND",
      "amount": 5000
   },
   "execution": {
      "date": "2024-03-10T09:09:51Z"
   },
   "final": {
      "is_final": true,
      "expected": "2024-03-06T05:00:00Z"
   },
   "attachments": [],
   "approved": true,
   "user_tags": {}
}
```

{% endtab %}

{% tab title="400 - Bad Request" %}

```json
{
  "error": "bad_request",
  "description": "Validation errors: {\"type\":\"INDIVIDUAL\",\"id\":\"5SYjAkHqXHW0Z2cqBRW4JAAA\",\"cou... at root failed with \"Missing property org_id\"",
  "error_code": 400
}
```

{% endtab %}
{% endtabs %}

&#x20;
